API referenceWaterfalls
Waterfall templates
Built-in starting points (work email, mobile finder, company enrich + technographics, and sandbox versions).
Authorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/waterfalls/templates"{ "items": [ { "id": "string", "title": "string", "description": "string", "definition": { "kind": "waterfall", "id": "main", "capability": "string", "steps": [ { "type": "endpoint", "endpoint_id": "string", "id": "string", "timeout_ms": 100, "retries": 0, "retry_backoff_ms": 250, "max_cost_micro": 0, "required_fields": [], "min_confidence": 0, "confidence_field": "confidence", "prefer_verified": false, "continue_on_hit": false, "credential": "auto", "on_client_error": "continue", "when": { "field": "string", "op": "eq", "value": "string" } } ], "speed": { "profile": "balanced" }, "stop": [ { "rule": "first_hit" } ], "stop_mode": "any", "merge": {}, "input_map": {}, "when": { "field": "string", "op": "eq", "value": "string" }, "fields": [ "string" ], "max_cost_micro": 0, "deadline_ms": 500 } } ]}